Package net.shibboleth.idp.attribute.resolver

# Class ResolverDataConnectorDependency

java.lang.Object
net.shibboleth.idp.attribute.resolver.ResolverDataConnectorDependency

public final class ResolverDataConnectorDependency extends Object
A Dependency that references to an Data Connector.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`allAttributes`
Whether to depend on all the connector's attributes.
`private Set<String>`
`attributeNames`
Names of attributes to import via dependency.
`private final String`
`dependencyPluginId`
ID of the plugin that will produce the attribute.

## Constructor Summary

Constructors
Constructor
Description
`ResolverDataConnectorDependency(String pluginId)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Collection<String>`
`getAttributeNames()`
Get the names of the connector's attributes that make up the dependency.
`String`
`getDependencyPluginId()`
Gets the ID of the plugin that will produce the attribute.
`int`
`hashCode()`
`boolean`
`isAllAttributes()`
Get whether all the connector's attributes are part of the dependency.
`void`
`setAllAttributes(boolean all)`
Set whether all the connector's attributes are part of the dependency.
`void`
`setAttributeNames(Collection<String> names)`
Set the names of the connector's attributes that make up the dependency.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dependencyPluginId

@Nonnull @NotEmpty private final String dependencyPluginId
ID of the plugin that will produce the attribute.

### allAttributes

private boolean allAttributes
Whether to depend on all the connector's attributes.

### attributeNames

@Nonnull @NotEmpty private Set<String> attributeNames
Names of attributes to import via dependency.

## Constructor Details

### ResolverDataConnectorDependency

public ResolverDataConnectorDependency(@Nonnull @NotEmpty @ParameterName(name="pluginId") String pluginId)
Constructor.

Parameters:
  `pluginId` - ID of dependency

## Method Details

### getDependencyPluginId

@Nonnull public String getDependencyPluginId()
Gets the ID of the plugin that will produce the attribute.

Returns:
  ID of the plugin that will produce the attribute, never null or empty

### isAllAttributes

public boolean isAllAttributes()
Get whether all the connector's attributes are part of the dependency.

Returns:
  whether all the connector's attributes are part of the dependency

### setAllAttributes

public void setAllAttributes(boolean all)
Set whether all the connector's attributes are part of the dependency.

Parameters:
  `all` - flag to set

### getAttributeNames

@Nonnull @Unmodifiable @NotLive public Collection<String> getAttributeNames()
Get the names of the connector's attributes that make up the dependency.

Returns:
  attribute names

### setAttributeNames

public void setAttributeNames(@Nonnull @NotEmpty Collection<String> names)
Set the names of the connector's attributes that make up the dependency.

Parameters:
  `names` - attribute names

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`